Synthesize a voice sample
GET
/
v1
/
accounts
/
{accountId}
/
voice-library
/
{voiceId}
/
sample
Synthesize a short audio sample of a voice
curl --request GET \
--url https://api.us.poly.ai/v1/accounts/{accountId}/voice-library/{voiceId}/sample \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.us.poly.ai/v1/accounts/{accountId}/voice-library/{voiceId}/sample"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.us.poly.ai/v1/accounts/{accountId}/voice-library/{voiceId}/sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"voiceId": "<string>",
"sampleUrl": "<string>",
"expiresInSeconds": 123,
"text": "<string>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}Authorizations
Response
Successful response
Response for GET /voice-library/<voice_id>/sample.
Last modified on May 29, 2026
Was this page helpful?
Previous
List cached audio entriesList cached TTS audio entries for an agent with metadata including transcript, provider, voice, duration, and hit count.
Next
⌘I
Synthesize a short audio sample of a voice

